## com.lowagie.bc.asn1
Class DERNull

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.ASN1Null
              com.lowagie.bc.asn1.DERNull

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  BERNull

public class DERNull
extends ASN1Null

A NULL object.

Field Summary
`(package private) byte[]` `zeroBytes`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERNull()`

Method Summary
`(package private) void` `encode(DEROutputStream out)`
`boolean` `equals(Object o)`

Methods inherited from class com.lowagie.bc.asn1.ASN1Null
`hashCode`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zeroBytes

    byte[] zeroBytes

Constructor Detail

### DERNull

    public DERNull()

Method Detail

### encode

    void encode(DEROutputStream out)
          throws IOException

  Specified by:
    `encode` in class `ASN1Null`
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `ASN1Null`